package uk.ac.ucl.cs.slangta.editor;

import org.eclipse.jface.action.IMenuManager;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorSite;
import org.eclipse.ui.PartInitException;

import uk.ac.ucl.cs.slangta.editor.actions.*;
// import uk.ac.ucl.cs.uml.editor.actions.ExportEMOFOCLAction;
import uk.ac.ucl.cs.slangta.jmi.SLAngEditor;

public class SLAngPlasticEditor extends SLAngEditor {

	protected PuppetAction puppetLatencyAction;
	protected GenerateTAAction generateTAAction;
	// protected ExportEMOFOCLAction exportEMOFOCLAction = null;
	
	protected void makeActions() {

		super.makeActions();
		puppetLatencyAction = new PuppetAction(this.viewer);
		generateTAAction = new GenerateTAAction(this.viewer);
	}

	protected void fillContextMenu(IMenuManager manager) {

		super.fillContextMenu(manager);
		manager.add(puppetLatencyAction);
		manager.add(generateTAAction);
	}
	
	
	public void init(IEditorSite site, IEditorInput input)
	throws PartInitException {
		super.init(site, input);
	}
}